### Summary

FlowFont is a 32x font resource pack for [Minecraft](https://www.minecraft.net) Java Edition.


### Contents

This resourcepack replaces the vanilla font textures with smoother texture with twice the resolution. Please note that currently only basic and accented latin characters are included.


### Installation

- You can install this resourcepack directly via the [CurseForge App](https://www.curseforge.com/download/app) or the [Modrinth App](https://modrinth.com/app).
- Alternatively, move the .zip file for your desired version, which can be downloaded from either of the [CurseForge](https://www.curseforge.com/minecraft/texture-packs/flowfont), [Modrinth](https://modrinth.com/resourcepack/flowfont) or [GitHub](https://github.com/iJustLeyxo/FlowFont/releases/) pages into the resourcepacks folder of your Minecraft Java Edition installation directory. You can open the folder in your file manager from the in-game menu under `Options ➤ Resource Packs ➤ Open Pack Folder`.

**Don't forget to enable the resourcepack.** You can do so in your game settings under `Options ➤ Resource Packs`.


### Issues

Please report any issues by [creating a new issue](https://github.com/iJustLeyxo/FlowFont/issues/new) using the [issue tracker](https://github.com/iJustLeyxo/FlowFont/issues/) on the [GitHub repository](https://github.com/iJustLeyxo/FlowFont/).


### Project Status

FlowFont is under development and will experience changes, aswell as bug fixes and updates to new Minecraft Java Edition releases.


### Version Compatibility

FlowFont is currently compatible with the following Minecraft Java Edition releases:
- 1.21 ~ 1.21.4 (newest release and all subreleases)
- 1.20 ~ 1.20.6 (2nd newest release and all subreleases)

(LTS = long term support)

Please note that some features are not available for all Minecraft Java Edition versions due to technical limitations.

While some versions of FlowFont may work with certain Minecraft Java Edition snapshots, please note that snapshots are generally not supported.

FlowFont will always be upated to the newest two major Minecraft Java Edition releases and all subreleases, aswell as specific long term supported versions. Other version compatibility might be added upon request and when deemed beneficial to the project.


### Mod Compatibility

Generally, FlowFont is compatible with all mods that use the default minecraft font.


### Affiliation Notice

FlowFont is brought to you by all contributors to the FlowFont project.
FlowFont is not official Minecraft content. FlowFont is not approved by or associated with Mojang or Microsoft.


### For Pack Makers

#### Project Sources

The project sources can be found on the [GitHub repository](https://github.com/iJustLeyxo/FlowFont/)


#### License

This project is licensed under the [GPLv3](https://www.gnu.org/licenses/gpl-3.0.txt).


#### Compiling

The build script uses the [PackMake](https://github.com/iJustLeyxo/PackMake/) resource pack compiler, which is automatically downloaded and used to interpret the source file structure.
